Get an establishment
curl --request GET \
--url https://api.gabin.ai/v1/establishments/{siret} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.gabin.ai/v1/establishments/{siret}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.gabin.ai/v1/establishments/{siret}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"siret": "99910001700011",
"siren": "999100017",
"headquarters": true,
"trade_name": null,
"address": "12 rue Émile Zola",
"postal_code": "69100",
"city": "Villeurbanne",
"insee": "69266",
"naf_code": "43.29A",
"created_on": "2014-03-12",
"closed_on": null,
"active": true,
"building_id": "bdnb-bg-CJ69-HW8G-PTTG",
"location": [
4.8795,
45.7665
],
"company_name": "Atelier Thermique du Rhône"
},
"meta": {}
}
Establishments
Get an establishment
One establishment by SIRET, with the name of its company. Next: GET /v1/companies/ for the company.
GET
/
v1
/
establishments
/
{siret}
Get an establishment
curl --request GET \
--url https://api.gabin.ai/v1/establishments/{siret} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.gabin.ai/v1/establishments/{siret}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.gabin.ai/v1/establishments/{siret}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"siret": "99910001700011",
"siren": "999100017",
"headquarters": true,
"trade_name": null,
"address": "12 rue Émile Zola",
"postal_code": "69100",
"city": "Villeurbanne",
"insee": "69266",
"naf_code": "43.29A",
"created_on": "2014-03-12",
"closed_on": null,
"active": true,
"building_id": "bdnb-bg-CJ69-HW8G-PTTG",
"location": [
4.8795,
45.7665
],
"company_name": "Atelier Thermique du Rhône"
},
"meta": {}
}
Authorizations
API key gab_live_… or OAuth access token gat_….
Path Parameters
SIRET of the establishment: 14 digits (SIREN + 5). Example: 55210055400013.
Pattern:
^\d{14}$⌘I